#if !defined(AFX_STOCKSET_H__B9D57B85_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
#define AFX_STOCKSET_H__B9D57B85_2218_11D4_9FB5_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StockSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStockSet recordset

class CStockSet : public CRecordset
{
public:
	bool Lookup( int ID );
	double GetLatestPrice( int StockID=-1 );
	int GetNextID();
	CStockSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CStockSet)

// Field/Param Data
	//{{AFX_FIELD(CStockSet, CRecordset)
	CString	m_Company;
	CString	m_Exchange;
	CString	m_Industry;
	long	m_StockID;
	CString	m_Symbol;
	//}}AFX_FIELD


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStockSet)
	public:
	virtual CString GetDefaultConnect();    // Default connection string
	virtual CString GetDefaultSQL();    // Default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STOCKSET_H__B9D57B85_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
